# Uses of Class
io.dapr.client.domain.BulkPublishEntry

Packages that use BulkPublishEntry
Package
Description
io.dapr.client.domain

## Uses of BulkPublishEntry in io.dapr.client.domain

Methods in io.dapr.client.domain that return BulkPublishEntry
Modifier and Type
Method
Description
`BulkPublishEntry<T>`
BulkPublishResponseFailedEntry.`getEntry()`
Methods in io.dapr.client.domain that return types with arguments of type BulkPublishEntry
Modifier and Type
Method
Description
`List<BulkPublishEntry<T>>`
BulkPublishRequest.`getEntries()`
Constructors in io.dapr.client.domain with parameters of type BulkPublishEntry
Modifier
Constructor
Description
``
`BulkPublishResponseFailedEntry(BulkPublishEntry<T> entry, String errorMessage)`
Constructor for BulkPublishResponseFailedEntry.
Constructor parameters in io.dapr.client.domain with type arguments of type BulkPublishEntry
Modifier
Constructor
Description
``
`BulkPublishRequest(String pubsubName, String topic, List<BulkPublishEntry<T>> entries)`
Constructor for BulkPublishRequest.
``
`BulkPublishRequest(String pubsubName, String topic, List<BulkPublishEntry<T>> entries, Map<String,String> metadata)`
Constructor for the BulkPublishRequest.